NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ElementCreateBuilder Class Reference

Represents a CAE::ElementCreateBuilder which allows you to manually create elements from existing nodes. More...

Inheritance diagram for NXOpen::CAE::ElementCreateBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ElemDimType {
  ElemDimTypePoint, ElemDimTypeBeam, ElemDimTypeShell, ElemDimTypeSolid,
  ElemDimTypeAnySolid
}
 Dimension of the element to be created. More...
 
enum  NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting }
 Option to create new mesh or add to existing mesh. More...
 

Public Member Functions

NXString CollectorName ()
 Returns the mesh collector name
Created in NX5.0.0.
 
void CreateCollector ()
 Create mesh collector
Created in NX5.0.0.
 
NXOpen::CAE::ElementCreateBuilder::ElemDimType ElementDimensionOption ()
 Returns the element dimension option
Created in NX5.0.0.
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type builder.
 
int Increment ()
 Returns the increment
Created in NX5.0.0.
 
int Label ()
 Returns the label
Created in NX5.0.0.
 
NXString MeshName ()
 Returns the mesh name
Created in NX5.0.0.
 
NXString NeutralName ()
 Returns the element neutral name
Created in NX5.0.0.
 
NXOpen::CAE::ElementCreateBuilder::NewMeshType NewMeshOption ()
 Returns the new mesh option
Created in NX5.0.0.
 
NXOpen::CAE::SelectFENodeListNode ()
 Returns the selected node
Created in NX5.0.0.
 
NXOpen::SelectTaggedObjectListPoint ()
 Returns the selected point
Created in NX8.5.0.
 
void SetCollectorName (const NXString &collectorName)
 Sets the mesh collector name
Created in NX5.0.0.
 
void SetCollectorName (const char *collectorName)
 Sets the mesh collector name
Created in NX5.0.0.
 
void SetElementDimensionOption (NXOpen::CAE::ElementCreateBuilder::ElemDimType elementDimensionOption)
 Sets the element dimension option
Created in NX5.0.0.
 
void SetIncrement (int increment)
 Sets the increment
Created in NX5.0.0.
 
void SetLabel (int label)
 Sets the label
Created in NX5.0.0.
 
void SetMeshName (const NXString &meshName)
 Sets the mesh name
Created in NX5.0.0.
 
void SetMeshName (const char *meshName)
 Sets the mesh name
Created in NX5.0.0.
 
void SetNeutralName (const NXString &neutralName)
 Sets the element neutral name
Created in NX5.0.0.
 
void SetNeutralName (const char *neutralName)
 Sets the element neutral name
Created in NX5.0.0.
 
void SetNewMeshOption (NXOpen::CAE::ElementCreateBuilder::NewMeshType newMeshOption)
 Sets the new mesh option
Created in NX5.0.0.
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Represents a CAE::ElementCreateBuilder which allows you to manually create elements from existing nodes.

 <br>       
The following element topologies are supported 
<ul>
    <li>0D or Point elements, requires 1 node to define</li>
    <li>1D or Beam elements, requires 2 nodes to define</li>
    <li>2D or Shell elements</li>
    <ul>
        <li>Linear Tria elements, requires 3 corner nodes to define. </li>
        <li>Parabolic Tria elements, requires 6 nodes to define ( 3 corner and 3 mid nodes ). </li>
        <li>Linear Quad elements, requires 4 corner nodes to define. </li>
        <li>Parabolic Quad elements, requires 8 nodes to define ( 4 corner and 4 mid nodes ). </li>
    </ul>  
    <br/>When specifying nodes for Shell elements with mid nodes, the input order is sequential.  Corner, Mid, Corner, Mod, ... 
     @code 
    3                       5                                                                           
   / \                     / \             
  /   \                   /   \            4---------------3    7-------6-------5
 /     \                 /     \           |               |    |               |
/       \               6       4          |               |    |               |

/ \ / \ | | 8 4 / \ / \ | | | | / \ / \ | | | | 1------------—2 1----—2----—3 1------------—2 1----—2----—3 Tria(3) Tria(6) Quad(4) Quad(8) 3D or Solid elements, NOTE: not all of these Solid types can be created through the UI


When specifying nodes for Solid elements, the input order(connectivity) is the same as is defined in Nastran. All Corners first and then all Mid nodes.



To create a new instance of this class, use CAE::NodeElementManager::CreateElementCreateBuilder

Created in NX5.0.0.

Member Enumeration Documentation

Dimension of the element to be created.

Enumerator:
ElemDimTypePoint 

0D element

ElemDimTypeBeam 

beam

ElemDimTypeShell 

shell

ElemDimTypeSolid 

solid, types currently supported through UI

ElemDimTypeAnySolid 

any solid type

Option to create new mesh or add to existing mesh.

Enumerator:
NewMeshTypeCreate 

create new mesh

NewMeshTypeExisting 

add to existing mesh

Member Function Documentation

NXString NXOpen::CAE::ElementCreateBuilder::CollectorName ( )

Returns the mesh collector name
Created in NX5.0.0.



License requirements : None

void NXOpen::CAE::ElementCreateBuilder::CreateCollector ( )

Create mesh collector
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::ElementCreateBuilder::ElemDimType NXOpen::CAE::ElementCreateBuilder::ElementDimensionOption ( )

Returns the element dimension option
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementCreateBuilder::ElementType ( )

Returns the element type builder.


Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::ElementCreateBuilder::Increment ( )

Returns the increment
Created in NX5.0.0.



License requirements : None

int NXOpen::CAE::ElementCreateBuilder::Label ( )

Returns the label
Created in NX5.0.0.



License requirements : None

NXString NXOpen::CAE::ElementCreateBuilder::MeshName ( )

Returns the mesh name
Created in NX5.0.0.



License requirements : None

NXString NXOpen::CAE::ElementCreateBuilder::NeutralName ( )

Returns the element neutral name
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementCreateBuilder::NewMeshType NXOpen::CAE::ElementCreateBuilder::NewMeshOption ( )

Returns the new mesh option
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::SelectFENodeList* NXOpen::CAE::ElementCreateBuilder::Node ( )

Returns the selected node
Created in NX5.0.0.



License requirements : None

NXOpen::SelectTaggedObjectList* NXOpen::CAE::ElementCreateBuilder::Point ( )

Returns the selected point
Created in NX8.5.0.



License requirements : None

void NXOpen::CAE::ElementCreateBuilder::SetCollectorName ( const NXString collectorName)

Sets the mesh collector name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::ElementCreateBuilder::SetCollectorName ( const char *  collectorName)

Sets the mesh collector name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::ElementCreateBuilder::SetElementDimensionOption ( NXOpen::CAE::ElementCreateBuilder::ElemDimType  elementDimensionOption)

Sets the element dimension option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
elementDimensionOptionelementdimensionoption
void NXOpen::CAE::ElementCreateBuilder::SetIncrement ( int  increment)

Sets the increment
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
incrementincrement
void NXOpen::CAE::ElementCreateBuilder::SetLabel ( int  label)

Sets the label
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
labellabel
void NXOpen::CAE::ElementCreateBuilder::SetMeshName ( const NXString meshName)

Sets the mesh name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::ElementCreateBuilder::SetMeshName ( const char *  meshName)

Sets the mesh name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::ElementCreateBuilder::SetNeutralName ( const NXString neutralName)

Sets the element neutral name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::ElementCreateBuilder::SetNeutralName ( const char *  neutralName)

Sets the element neutral name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::ElementCreateBuilder::SetNewMeshOption ( NXOpen::CAE::ElementCreateBuilder::NewMeshType  newMeshOption)

Sets the new mesh option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
newMeshOptionnewmeshoption

The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.